function metameta()
	menu.multiplayer = 0
	
	--SELECTABLE MENU ITEMS:--
	--play through all the maps sequentially
	menu.addPlaythrough("mission_deepspace.png", "[   NORMAL  MODE   ]  You awaken from the groggy haze of cryosleep - but you are greeted only by the infinite abyss of deep space. A strange electronic voice begins to speak...")
	--same as above, only in 1337 mode (added to end of the possible options)
	menu.addHardcorePlaythrough()
	--set the levels
	menu.setHidden("deepspace", "mission_deepspace.png", "")--hidden because the "playthrough" option lets us start on this stage
	menu.setUnlockable("sol", "mission_sol.png", "[     STAGE 2      ]  You've been shanghaied by CONTROL - an AI. It claims that you are the last hope for saving humanity, and so you return to Sol to discover the fate of Earth...")
	menu.setUnlockable("nexus", "mission_greenplanet.png", '[     STAGE 3      ]  Despite having the coordinates to Eden, CONTROL has instead brought you to a vile nemesis civilian system in a quest for "great justice".')
	menu.setUnlockable("tartarus", "mission_tartarus.png", "[     STAGE 4      ]  CONTROL's thirst for combat has stranded you in an unknown sector of the galaxy.")
	menu.setUnlockable("eden", "mission_eden.png", "[     STAGE 5      ]  Deaf to all protest, CONTROL leads you and the last surviving members of humanity straight to the heart of the vile nemesis - their home planet, Eden.")
end


function meta()
	--make most things cost to launch, but alpha configs free
	game.launchCosts = 1
	game.makeConfigFree("ALPHA")
	
	--add saved pilot deployable ship configurations
	game.addPilotDeployableShips()
	
	--(different semi-obsolete methods of adding to ship selection)
	--game.addBaseDeployableShips("","ALPHA", 1)
	--game.addMissionDeployableShips("","ALPHA", 1)
	--game.addDeployableShip("Lamjet","ALPHA")
	--game.addDeployableShip("Warbird","ALPHA")
	--game.addDeployableShip("Zukhov","ALPHA")
	
	--players choose their ship
	game.deploy()
	--game.modify()
	--game.play("intro")
	
	--game.storyText("YOU ARE HUMANITY'S LAST HOPE")
	
	--play through the starmap
	--game.singleplayer_starmap("starrun0")
	--game.singleplayer_starmap("startest")
	
	--game.newMessage("HELLO HUMAN", "stolenrobot")
	--game.newMessage("WHILE YOU SLEPT, EARTH WAS DESTROYED BY NEMESIS ALIEN", "stolenrobot")
	--game.newMessage("LAST LIVING HUMANKIND FLED THROUGH ANCIENT GATE BEYOND MARS PLANET", "stolenrobot")
	--game.newMessage("WE MUST COLLECT LIVING HUMANKIND AND TRAVEL TO NEW HOME EDEN PLANET", "stolenrobot")
	--game.newMessage("SMALL STEP : CLICK A NODE         GIANT LEAP : SAVE MANKIND", "stolenrobot")
	
	--play the selected map
	game.playSelected()
	--game.singleplayer_starnode("nodemap_0")
	
	--game.play("stage1")
	--if stage.destination == 0 then
	--	game.play("stage2")
	--else
	--	game.play("stage3")
	--end
	
	--math.randomseed(os.time())
	--stagenum = math.random(1, 3)
	--for i = 1, 3 do
	--	game.GFP(stagenum)
	--	game.play("stage" .. stagenum)
	--	stagenum = stagenum + 1
	--	if stagenum > 3 then stagenum = 1 end
	--end
	--game.play("boss1")

end

--set faction relations
function setupfactions()
	--1 : player
	--3 : vile nemesis
	--4 : friendly aliens
	--5 : mines & missiles
	--6 : aliens
	--7 : alien terrain (hives, anemones, spikeflowers)
	
	--player
	game.setEnemies(1,3)
	game.setEnemies(1,5)
	game.setEnemies(1,6)
	game.setEnemies(1,7)
	--friendly aliens
	game.setFriendlyFire(4, 1)--can hurt those friendly to them, and vice-versa
	game.setAllies(4,1,1)--one-way; player is neutral to them
	game.setAllies(4,6)
	game.setAllies(4,7)
	--mines, missiles
	game.setNeutral(5,5)--faction 5 is neutral with itself
	--aliens
	game.setEnemies(6,3)
	--alien terrain
	game.setEnemies(7,3,1)--one way; nemesis stays neutral towards terrain
	--game.setFriendlyFire(7,1)
	--game.setAllies(7,6)
end